PARTED(8)

NOME
GNU Parted - un programma per la manipolazione delle partizioni

SINTASSI
parted [opzioni] [dispositivo [comando [opzioni ...] ...]]

DESCRIZIONE
parted è un programma per manipolare le partizioni del disco. Supporta molti formati di tabella delle partizioni, compresi MS-DOS e GPT. È utile per creare spazio per nuovi sistemi operativi, riorganizzare l'uso del disco e copiare dati su nuovi dischi rigidi.

Questa pagina di manuale documenta parted brevemente. La documentazione completa è distribuita con il pacchetto in formato GNU Info.

OPZIONI

-h, --help
    visualizza un messaggio di aiuto

-l, --list
    elenca lo schema delle partizioni di tutti i dispositivi a blocchi

-m, --machine
    visualizza un'output interpretabile dalla macchina

-s, --script
    non richiede mai l'intervento dell'utente

-v, --version
    visualizza la versione

-a tipo-allineamento, --align tipo-allineamento
    Imposta l'allineamento per le partizioni appena create, tipi di argomenti validi sono:

    none
        Usa l'allineamento minimo consentito dal tipo di disco.

    cylinder
        Allinea le partizioni ai cilindri.

    minimal
        Usa l'allineamento minimo, come dato dalle informazioni della topologia del disco. Questo e il valore opt utilizzerà le informazioni di layout fornite dal disco per allineare gli indirizzi della tabella delle partizioni logiche ai reali blocchi fisici sui dischi. Il valore minimo è il più piccolo allineamento necessario per allineare correttamente la partizione ai blocchi fisici, che eviti il degrado delle prestazioni.

    optimal
        Utilizza un allineamento ottimale come dato dalle informazioni della topologia del disco. Questo allinea a un multiplo della dimensione fisica del blocco in modo da garantire prestazioni ottimali.

COMANDI

[dispositivo]
    Il dispositivo di blocco da utilizzare. Quando non ne viene indicato nessuno, parted utilizzerà il primo dispositivo a blocchi che trova.

[comando [opzioni]]
    Specificare il comando da eseguire. Se non viene fornito alcun comando, parted mostrerà un prompt per scrivere il comando. I comandi possibili sono:

    help [comando]
        Stampa un aiuto generale, o l'aiuto del comando se specificato.

    align-check tipo partizione
        Controlla se partizione soddisfa i vincoli di allineamento di tipo. tipo deve essere "minimal" o "optimal".

    mklabel tipo-tabella
        Crea una nuova tabella delle partizioni (disklabel) di tipo-tabella specificato. tipo-tabella dovrebbe essere una tra "aix", "amiga", "bsd", "dvh", "gpt", "loop", "mac", "msdos", "pc98" o "sun".

    mkpart tipo-partizione [tipo-fs] inizio fine
        Scrive una partizione del tipo-partizione con filesystem tipo-fs (se specificato), che inizia a inizio e finisce a fine (di base in megabyte). tipo-partizione dovrebbe essere una tra "primary" (primaria), "logical" (logica) o "extended" (estesa).

    name partizione nome
        Imposta il nome della partizione a nome. Questa opzione funziona solo su tabelle delle partizioni di tipo Mac, PC98 e GPT. Il nome può essere messo tra virgolette, se necessario.

    print
        Visualizza la tabella delle partizioni.

    quit
        Uscita di parted.

    rescue inizio fine
        Recupera una partizione perduta che era allocata da qualche parte tra inizio e fine. Se viene trovata una partizione, parted chiederà se si desidera creare una voce per questa nella tabella delle partizioni.

    resizepart partizione fine
        Cambia la posizione di fine della partizione. Notare che questo non modifica nessun filesystem presente nella partizione.

    rm partizione
        Cancella partizione.

    select dispositivo
        Sceglie dispositivo come dispositivo corrente da editare. dispositivo di solito dovrebbe essere un disco rigido Linux, ma può essere una partizione, dispositivo RAID software, o un volume logico LVM se necessario.

    set partizione flag stato
        Modifica lo stato del flag su partizione in stato. Flag supportati sono: "boot", "root", "swap", "hidden", "raid", "lvm", "lba", "legacy_boot", "irst", "esp" e "palo". stato dovrebbe essere "on" o "off".

    unit unità
        Imposta unità come unità da utilizzare per la visualizzazione di posizioni e dimensioni, e nell'interpretare quelli indicati dall'utente quando non hanno un'unità esplicitata nel suffisso. unità può essere una tra "s" (settori), "B" (byte), "kB", "MB", "GB", "TB", "%" (percentuale della dimensione del dispositivo), "cyl" (cilindri), "chs" (cilindri, heads, settori), o "compact" (megabyte per l'input, e una forma intelligibile per l'output).

    toggle partizione flag
        Commuta lo stato del flag sulla partizione.

    version
        Mostra informazioni sulla versione e un messaggio di copyright.

SEGNALAZIONE BUG
Segnalare i bug a <bug-parted@gnu.org>

VEDERE ANCHE
fdisk(8), mkfs(8), Il programma parted è interamente documentato nel manuale in formato info(1) GNU partitioning software

AUTORE
Questa pagina di manuale è stata scritta da Timshel Knoll <timshel@debian.org>, per sistemi Debian GNU/Linux (ma può essere utilizzato da altri).